You are not logged in.

#1 2011-12-08 20:35:33

Carlwill
Member
From: Orlando, FL
Registered: 2008-10-06
Posts: 560
Website

Pacman Key Error

I'm getting the following error when I try and do an update via Pacman...

[carlos@ghost ~]$ sudo pacman -Syyu
:: Synchronizing package databases...
 testing                                                                            21.7 KiB   198K/s 00:00 [################################################################] 100%
 core                                                                              101.7 KiB   247K/s 00:00 [################################################################] 100%
 extra                                                                            1149.8 KiB   149K/s 00:08 [################################################################] 100%
 community-testing                                                                   7.8 KiB   160K/s 00:00 [################################################################] 100%
 community                                                                         945.8 KiB   174K/s 00:05 [################################################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...

Targets (2): krb5-1.9.2-2  libdrm-2.4.28-1

Total Installed Size:   4.16 MiB
Net Upgrade Size:       0.00 MiB

Proceed with installation? [Y/n] Y
(2/2) checking package integrity                                                                            [################################################################] 100%
error: krb5: key "EA6836E1AB441196" is unknown
error: key "EA6836E1AB441196" could not be looked up remotely
error: libdrm: key "94657AB20F2A092B" is unknown
error: key "94657AB20F2A092B" could not be looked up remotely
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

My /etc/pacman.conf file has the following lines uncommented:

[testing]
Include = /etc/pacman.d/mirrorlist

[core]
#SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

[community-testing]
Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

./

Offline

#2 2011-12-08 20:38:01

karol
Archivist
Registered: 2009-05-06
Posts: 25,432

Re: Pacman Key Error

Are you using pacman 4?

Edit: Yeah, you're using [testing].
Please read the wiki https://wiki.archlinux.org/index.php/Pacman-key

Run 'pacman-key --init' and edit /etc/pacman.conf and set up SigLevel = Optional TrustAll.

Last edited by karol (2011-12-08 20:40:26)

Offline

#3 2011-12-08 21:31:10

fsckd
Forum Moderator
Registered: 2009-06-15
Posts: 3,575

Re: Pacman Key Error

mod action: Moving from Pacman & Package Upgrade Issues to [testing] Repo Forum as this issue concerns pacman 4 which is still in testing.


aur S & M :: forum rules :: Community Ethos
Resources for Women, POC, LGBT*, and allies

Offline

#4 2011-12-09 03:58:56

rAX
Member
From: Algiers
Registered: 2011-05-27
Posts: 85

Re: Pacman Key Error

Offline

#5 2011-12-13 14:03:26

Monty
Member
Registered: 2011-12-08
Posts: 5

Re: Pacman Key Error

i posted this, hope it helps:

https://bbs.archlinux.org/viewtopic.php?id=128340 (last post)

Offline

Board footer

Powered by FluxBB